package com.qmth.distributed.print.business.bean.dto;

import com.qmth.boot.tools.excel.annotation.ExcelColumn;
import com.qmth.teachcloud.common.annotation.ExcelError;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 主观题结构Dto
 * @Author: CaoZixuan
 * @Date: 2024-04-09
 */
public class SubjectiveStructDto {

    @ApiModelProperty(value = "课程代码")
    @ExcelColumn(name = "课程代码", index = 1, nullable = true)
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    @ExcelColumn(name = "课程名称", index = 2, nullable = true)
    private String courseName;

    @ApiModelProperty(value = "试卷编号")
    @ExcelColumn(name = "试卷编号", index = 3, nullable = true)
    private String paperNumber;

    @ApiModelProperty(value = "大题名称")
    @ExcelColumn(name = "大题名称", index = 4, nullable = true)
    private String mainTitle;

    @ApiModelProperty(value = "大题号(只能用小写数字)")
    @ExcelColumn(name = "大题号(只能用小写数字)", index = 5, nullable = true)
    private Integer mainNumber;

    @ApiModelProperty(value = "小题号(只能用小写数字)")
    @ExcelColumn(name = "小题号(只能用小写数字)", index = 6, nullable = true)
    private Integer subNumber;

    @ApiModelProperty(value = "小题满分")
    @ExcelColumn(name = "小题满分", index = 7, nullable = true)
    private Double totalScore;

    @ApiModelProperty(value = "评卷间隔分")
    @ExcelColumn(name = "间隔分", index = 8, nullable = true)
    private Double intervalScore;

    @ApiModelProperty(value = "评卷分组序号")
    @ExcelColumn(name = "评卷分组(只能用小写数字)", index = 9, nullable = true)
    private Integer groupNumber;

    @ApiModelProperty(value = "评卷员数量（系统生成）")
    @ExcelColumn(name = "评卷员数量（系统生成）", index = 10)
    private Integer markerCount;

    @ApiModelProperty(value = "绑定工号（英文逗号分隔）")
    @ExcelColumn(name = "绑定工号（英文逗号分隔）", index = 11)
    private String markerCodes;

    @ApiModelProperty(value = "错误信息")
    @ExcelError
    private String errorMsg;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getMainTitle() {
        return mainTitle;
    }

    public void setMainTitle(String mainTitle) {
        this.mainTitle = mainTitle;
    }

    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }

    public Integer getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(Integer subNumber) {
        this.subNumber = subNumber;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Double getIntervalScore() {
        return intervalScore;
    }

    public void setIntervalScore(Double intervalScore) {
        this.intervalScore = intervalScore;
    }

    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }

    public Integer getMarkerCount() {
        return markerCount;
    }

    public void setMarkerCount(Integer markerCount) {
        this.markerCount = markerCount;
    }

    public String getMarkerCodes() {
        return markerCodes;
    }

    public void setMarkerCodes(String markerCodes) {
        this.markerCodes = markerCodes;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }
}
